import 'package:eyflutter_cmi/collect/event/on_page_collect.dart';
import 'package:eyflutter_cmi/enums/sdk_platform.dart';
import 'package:eyflutter_core/eyflutter_core.dart';

class PageCollect with OnPageCollect {
  String _pageCountAction = "bea4825a0d178898";

  @override
  void pageEnd({required SDKPlatform platform, required String viewName}) {
    CloudChannelManager.instance.send(_pageCountAction, arguments: {
      "platform": platform.name,
      "period": "end",
      "viewName": viewName,
    });
  }

  @override
  void pageStart({required SDKPlatform platform, required String viewName}) {
    CloudChannelManager.instance.send(_pageCountAction, arguments: {
      "platform": platform.name,
      "period": "start",
      "viewName": viewName,
    });
  }
}
