import 'package:eyflutter_cmi/enums/sdk_platform.dart';

mixin OnEventCollect {
  /// 事件统计
  /// [eventId] 自定义事件ID，指一个操作
  /// [arguments] 事件统计参数
  /// key：自定义事件下的参数，一个可选的描述符，用于定义事件操作的属性信息
  /// value：自定义事件参数下的参数值，用于描述事件属性的详细信息。
  void eventObject({required SDKPlatform platform, required String eventId, Map<String, dynamic> arguments = const {}});
}
