import 'package:eyflutter_cmi/enums/sdk_platform.dart';

mixin OnProfileCollect {
  /// 登录统计(一般在用户登录时调用)
  /// [account] 用户账号(相对用户唯一)
  /// [provider] 账号来源,表示用于区分第三方平台标识
  void profileSignin({required SDKPlatform platform, required String account, String provider = ""});

  /// 退出登录统计(一般在用户退出时调用)
  void profileSignOff({required SDKPlatform platform});
}
