import 'package:eyflutter_cmi/update/beans/version_info.dart';

/// 应用更新监听
mixin OnAppUpdate {

  /// 请求更新信息接口地址
  Future<String> updateApiUrl();

  /// 需要挽起更新窗口的回调函数
  /// [isForceUpdate] true-强制更新;false-提示更新;
  /// [info] 更新信息
  void updateCall({required bool isForceUpdate, required VersionInfo info});
}
